<?php

class viewClass_abstract
{
	protected static $_instance = null;

	/**
	 * Konstruktor
	 */
	public function __construct()
	{
		$this->_instance = $this;
	}

	/**
	 * Destruktor
	 */
	public function __destruct()
	{
	}

	public function getInstance()
	{
		if (!isset(self::$_instance))
		{
			$class = __CLASS__;
			self::$_instance = new $class;
		}
		return self::$_instance;
	}

}